## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# OS390Definitions.hpp File Reference

Go to the source code of this file.

## Defines

- #define OS390DEFINITIONS_HEADER_GUARD_1357924680
- #define XALAN_PLATFORM_EXPORT _Export
- #define XALAN_PLATFORM_IMPORT _Export
- #define XALAN_PLATFORM_EXPORT_FUNCTION(T) T XALAN_PLATFORM_EXPORT
- #define XALAN_PLATFORM_IMPORT_FUNCTION(T) T XALAN_PLATFORM_IMPORT
- #define XALAN_XALANDOMCHAR_USHORT_MISMATCH
- #define XALAN_USE_WCHAR_CAST_HACK
- #define XALAN_USE_XERCES_LOCAL_CODEPAGE_TRANSCODERS
- #define XALAN_NON_ASCII_PLATFORM
- #define XALAN_EXPLICIT_SCOPE_IN_TEMPLATE_BUG
- #define XALAN_HAS_STD_ITERATORS
- #define XALAN_HAS_STD_DISTANCE
- #define XALAN_HAS_CPP_NAMESPACE
- #define XALAN_NO_REENTRANT_TIME_FUNCTIONS
- #define XALAN_POSIX2_AVAILABLE

## Define Documentation

#define OS390DEFINITIONS_HEADER_GUARD_1357924680

Value:

#define XALAN_EXPLICIT_SCOPE_IN_TEMPLATE_BUG

Value:

#define XALAN_HAS_CPP_NAMESPACE

Value:

#define XALAN_HAS_STD_DISTANCE

Value:

#define XALAN_HAS_STD_ITERATORS

Value:

#define XALAN_NON_ASCII_PLATFORM

Value:

#define XALAN_NO_REENTRANT_TIME_FUNCTIONS

Value:

#define XALAN_PLATFORM_EXPORT _Export

#define XALAN_PLATFORM_EXPORT_FUNCTION( | T ) T XALAN_PLATFORM_EXPORT

#define XALAN_PLATFORM_IMPORT _Export

#define XALAN_PLATFORM_IMPORT_FUNCTION( | T ) T XALAN_PLATFORM_IMPORT

#define XALAN_POSIX2_AVAILABLE

Value:

#define XALAN_USE_WCHAR_CAST_HACK

Value:

#define XALAN_USE_XERCES_LOCAL_CODEPAGE_TRANSCODERS

Value:

#define XALAN_XALANDOMCHAR_USHORT_MISMATCH

Value:

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.